#!/usr/bin/env bash

CURR_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
PACE_IP_GIT="edmssupport.pace-ip.com:7999"
PRACTICE_INSIGHT_GIT="support.practiceinsight.io:7999"
PRACTICE_INSIGHT_BB_GIT="bitbucket.practiceinsight.io:7999"

for d in ${CURR_DIR}/../../* ; do

  GIT_DIR=${d}/.git

  if [[ -d ${GIT_DIR} ]]; then
    ORIGIN=$(git --git-dir ${GIT_DIR} config --get remote.origin.url)

    if [[ ${ORIGIN} =~ ${PACE_IP_GIT} ]]; then
      echo "Origin already updated"
      continue
    fi

    NEW_ORIGIN=${ORIGIN/$PRACTICE_INSIGHT_GIT/$PACE_IP_GIT}
    NEW_ORIGIN=${NEW_ORIGIN/$PRACTICE_INSIGHT_BB_GIT/$PACE_IP_GIT}

    if [[ ${ORIGIN} == ${NEW_ORIGIN} ]]; then
      echo ${ORIGIN}" origin doesn't need to be updated"
      continue
    fi

    git --git-dir ${GIT_DIR} remote set-url origin ${NEW_ORIGIN}

    echo "Origin changed from ${ORIGIN} to ${NEW_ORIGIN}"
  fi;

done
