#!/usr/bin/env bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

source ${DIR}/../../config/containers.conf

CONTAINER_NAME="$2_CONTAINER_NAME"

echo "Waiting for ${!CONTAINER_NAME} to start"
while ! curl http://localhost:$1/ &> /dev/null
do
  if [[ $(docker inspect -f {{.State.Running}} ${!CONTAINER_NAME}) = "true" ]]
  then
   echo "$(date) - still waiting"
   sleep 10
  else
   echo "${!CONTAINER_NAME} container failed to start, please check its log"
   exit
  fi
done
