#!/usr/bin/env bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

source ${DIR}/../../config/containers.conf

CONTAINER_NAME="$1_CONTAINER_NAME"

if [ ${1} == 'NUXEO' ]
then
  ENDPOINT_NAME="nuxeo"
fi
if [ ${1} == 'CB' ]
then
  ENDPOINT_NAME="casebrowser"
fi
if [ ${1} == 'POSTBOX' ]
then
  ENDPOINT_NAME="postbox"
fi

echo "Waiting for ${!CONTAINER_NAME} to be available via https"
while [ $(curl -s -o /dev/null -w "%{http_code}" -k -L https://localhost/${ENDPOINT_NAME}) != '200' ]
do
  if [[ $(docker inspect -f {{.State.Running}} ${!CONTAINER_NAME}) = "true" ]]
  then
   echo "$(date) - still waiting"
   sleep 10
  else
   echo "${!CONTAINER_NAME} container failed to start, please check its log"
   exit
  fi
done